

// // // //


СкрытьКрутилку = мир =>
{
    document.getElementById("крутилка").style.display = "none";
};


// // // //


ОкончитьЗагрузкуПриложения = мир =>
{
    мир.уведомить("надо окончить загрузку приложения");
};


// // // //


ПроверитьНаличиеОбновленийПриложения = мир =>
{
    // Эта функция находится вне "/🔄.js", т.к. "/🔄.js" отключаем,
    // отчего этой функции просто не будет в пространстве имён.
    var событие = "надо обновить приложение при наличии обновлений";
    if (событие in мир.события)
    {
        мир.уведомить(событие);
    }
    else
    {
        мир.уведомить("обновления приложения отсутствуют");
    }
};





// // // //


СоздатьПримерСцены = мир =>
{
    мир.сцена.background = new THREE.Color(0xFFFFFF);
    var коэффициент = 2;
    var расстояние = 14;
    мир.камера.position.y = расстояние * коэффициент;
    мир.камера.position.z = расстояние;
    мир.камера.lookAt(new THREE.Vector3(0, 0, 0));
    
    мир.свет = new THREE.DirectionalLight(0xFFFFFF, 1);
    мир.свет.position.set(-0.5, 1, 0.5).normalize();
    мир.сцена.add(мир.свет);
    
    мир.сцена.add(мир.фишка);
};


// // // //


ЗагрузитьРесурсыСцены = мир =>
{
    загрузитьМодельЭтогоМодуля(
        мир,
        "/фишка.gltf",
        function(модель) {
            мир.фишка = модель;
            мир.уведомить("загрузили ресурсы сцены");
        }
    );
};


// // // //


ВывестиНажатиеВРисователе = мир =>
{
    console.debug("Нажатие в рисователе:", мир.позицияНажатияВРисователе);
};